5,599,616 Members 43,809 Now Online
XDA Developers Android and Mobile Development Forum

Downgrade from 4.4.2 to 4.4

Tip us?
 
alemonte
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 25
Join Date: Apr 2011
Location: Rio de Janeiro
Default Downgrade from 4.4.2 to 4.4

So I used the 4.4 root tutorial without any problems and then flashed the 4.4.2 update via sdcard.

The deal is that my supersu seems to be damaged, thought I still have root, the xposed framework canīt seem to receive supersu permission.

So I want to downgrade to the 4.4.

How should I do this?
 
okaban
Old
(Last edited by okaban; 31st January 2014 at 02:34 PM.)
#2  
okaban's Avatar
Member
Thanks Meter 8
Posts: 61
Join Date: Feb 2008
Location: Cork
Quote:
Originally Posted by alemonte View Post
So I used the 4.4 root tutorial without any problems and then flashed the 4.4.2 update via sdcard.

The deal is that my supersu seems to be damaged, thought I still have root, the xposed framework canīt seem to receive supersu permission.

So I want to downgrade to the 4.4.

How should I do this?
Term "Downgrade" refers to "lowering" you version, in this case from 4.4 to 4.2.2. Now you just need to go back to 4.4

I am not sure whether your bootloader unlocked or not and what you version is, but I think this one will help http://forum.xda-developers.com/show....php?t=2603358 or this one http://forum.xda-developers.com/show....php?t=2538896
The Following User Says Thank You to okaban For This Useful Post: [ Click to Expand ]
 
alemonte
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 25
Join Date: Apr 2011
Location: Rio de Janeiro
Quote:
Originally Posted by okaban View Post
Term "Downgrade" refers to "lowering" you version, in this case from 4.4 to 4.2.2. Now you just need to go back to 4.4

I am not sure whether your bootloader unlocked or not and what you version is, but I think this one will help http://forum.xda-developers.com/show....php?t=2603358 or this one http://forum.xda-developers.com/show....php?t=2538896
Ok, so I have a locked bootloader. My guess is that I have the last version since I made the update to 4.4.2.

By having a locked bootloader I think I canīt downgrade to 4.2.2, right?

So I wanted to go back to 4.4 by following the commands below:

fastboot flash partition gpt.bin
fastboot flash motoboot motoboot.img
fastboot flash logo logo.bin
fastboot flash boot boot.img
fastboot flash recovery recovery.img
mfastboot flash system system.img
fastboot erase modemst1
fastboot erase modemst2
fastboot flash fsg fsg.mbn
fastboot reboot

But right on the first fastboot, I get this error:

downgraded security version
Update gpt_main version failed
preflash validation for GPT
 
dray_jr
Old
#4  
Senior Member
Thanks Meter 172
Posts: 506
Join Date: Jul 2009
Location: Fort Myers,FL
Quote:
Originally Posted by alemonte View Post
Ok, so I have a locked bootloader. My guess is that I have the last version since I made the update to 4.4.2.

By having a locked bootloader I think I canīt downgrade to 4.2.2, right?

So I wanted to go back to 4.4 by following the commands below:

fastboot flash partition gpt.bin
fastboot flash motoboot motoboot.img
fastboot flash logo logo.bin
fastboot flash boot boot.img
fastboot flash recovery recovery.img
mfastboot flash system system.img
fastboot erase modemst1
fastboot erase modemst2
fastboot flash fsg fsg.mbn
fastboot reboot

But right on the first fastboot, I get this error:

downgraded security version
Update gpt_main version failed
preflash validation for GPT
you can't go back to the complete 4.4 package and honestly im not even going to tell you how to get 4.4 running because i wont be responsible for you hardbricking your phone.

4.4.2 has a new bootloader and 4.4 has a diffrent bootloader you cant downgrade the 4.4.2 bootloader at all. it is a one way street sorry
Sprint Moto X TWRP 4.4 Self Detoxed
Profiles:Twitter
Guides:MotoX Guides |
The Following User Says Thank You to dray_jr For This Useful Post: [ Click to Expand ]
 
alemonte
Old
#5  
Junior Member - OP
Thanks Meter 0
Posts: 25
Join Date: Apr 2011
Location: Rio de Janeiro
Quote:
Originally Posted by dray_jr View Post
you can't go back to the complete 4.4 package and honestly im not even going to tell you how to get 4.4 running because i wont be responsible for you hardbricking your phone.

4.4.2 has a new bootloader and 4.4 has a diffrent bootloader you cant downgrade the 4.4.2 bootloader at all. it is a one way street sorry
OK! I know I messed up updating to 4.4.2 rooted. Should've stayed on 4.4 but my X was having issues after disconnecting from Wifi to connect to LTE. Anyways..Iīll be returning the phone and getting a new one today! Tnks a lot for the help!
 
okaban
Old
#6  
okaban's Avatar
Member
Thanks Meter 8
Posts: 61
Join Date: Feb 2008
Location: Cork
Quote:
Originally Posted by alemonte View Post
Ok, so I have a locked bootloader. My guess is that I have the last version since I made the update to 4.4.2.

By having a locked bootloader I think I canīt downgrade to 4.2.2, right?

So I wanted to go back to 4.4 by following the commands below:

fastboot flash partition gpt.bin
fastboot flash motoboot motoboot.img
fastboot flash logo logo.bin
fastboot flash boot boot.img
fastboot flash recovery recovery.img
mfastboot flash system system.img
fastboot erase modemst1
fastboot erase modemst2
fastboot flash fsg fsg.mbn
fastboot reboot

But right on the first fastboot, I get this error:

downgraded security version
Update gpt_main version failed
preflash validation for GPT
Most likely you tried to downgrade to the very first 4.2.2 (.31 in case of XT1058). It's not possible. You need the one after, with camera update (.54 for XT1058, for example, http://sbf.droid-developers.org/phone.php?device=0)
 
dray_jr
Old
#7  
Senior Member
Thanks Meter 172
Posts: 506
Join Date: Jul 2009
Location: Fort Myers,FL
Quote:
Originally Posted by okaban View Post
Most likely you tried to downgrade to the very first 4.2.2 (.31 in case of XT1058). It's not possible. You need the one after, with camera update (.54 for XT1058, for example, http://sbf.droid-developers.org/phone.php?device=0)
please dont downgrade to 4.2.2 camera update downgrade to 4.4 you just have to not flash the gpt file but flash everything else.

if you flash 4.2.2 Camera update and then take the OTA for 4.4 you will brick your phone.
Sprint Moto X TWRP 4.4 Self Detoxed
Profiles:Twitter
Guides:MotoX Guides |

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes